Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 706868 - x11-misc/xnee-3.19-r1 : fails to build with -fno-common or gcc-10
Summary: x11-misc/xnee-3.19-r1 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Desktop Misc. Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-28 18:27 UTC by Toralf Förster
Modified: 2020-01-29 11:32 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.73 KB, text/plain)
2020-01-28 18:27 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,86.66 KB, text/plain)
2020-01-28 18:27 UTC, Toralf Förster
Details
environment (environment,86.36 KB, text/plain)
2020-01-28 18:27 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,17.63 KB, application/x-bzip)
2020-01-28 18:27 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,9.23 KB, application/x-bzip)
2020-01-28 18:27 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,29.45 KB, application/x-bzip)
2020-01-28 18:27 UTC, Toralf Förster
Details
x11-misc:xnee-3.19-r1:20200128-050356.log (x11-misc:xnee-3.19-r1:20200128-050356.log,168.48 KB, text/plain)
2020-01-28 18:27 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-28 18:27:09 UTC
      |                                         |
      |                                         CARD32 {aka unsigned int}
/bin/sh ../../libtool  --tag=CC   --mode=link x86_64-pc-linux-gnu-gcc -I../include   -g -DNO_VERBOSE   -DNO_BUF_VERBOSE  -DNO_XOSD   -DXNEE_XINPUT_SUPPORT  -O2 -pipe -march=native -fno-common -rpath '/usr/lib64' -Wl,-O1 -Wl,--as-needed -o libxnee.la  xnee.lo print.lo print_varargs.lo xnee_record.lo xnee_replay.lo datastrings.lo xnee_sem.lo xnee_dl.lo xnee_setget.lo xnee_resolution.lo xnee_fake.lo xnee_km.lo xnee_grab.lo xnee_resource.lo xnee_time.lo xnee_callback.lo xnee_buffer.lo xnee_threshold.lo xnee_range.lo xnee_expr.lo xnee_error.lo xnee_keysym.lo xnee_strings.lo xnee_session.lo xnee_utils.lo xnee_alloc.lo xnee_fileop.lo xnee_display.lo xnee_settings.lo xnee_plugin.lo xnee_window.lo feedback.lo xnee_xinput.lo  -lX11 -lXtst -lXi 
libtool: link: x86_64-pc-linux-gnu-gcc -shared  -fPIC -DPIC  .libs/xnee.o .libs/print.o .libs/print_varargs.o .libs/xnee_record.o .libs/xnee_replay.o .libs/datastrings.o .libs/xnee_sem.o .libs/xnee_dl.o .libs/xnee_setget.o .libs/xnee_resolution.o .libs/xnee_fake.o .libs/xnee_km.o .libs/xnee_grab.o .libs/xnee_resource.o .libs/xnee_time.o .libs/xnee_callback.o .libs/xnee_buffer.o .libs/xnee_threshold.o .libs/xnee_range.o .libs/xnee_expr.o .libs/xnee_error.o .libs/xnee_keysym.o .libs/xnee_strings.o .libs/xnee_session.o .libs/xnee_utils.o .libs/xnee_alloc.o .libs/xnee_fileop.o .libs/xnee_display.o .libs/xnee_settings.o .libs/xnee_plugin.o .libs/xnee_window.o .libs/feedback.o .libs/xnee_xinput.o   -Wl,--as-needed -lX11 -lXtst -lXi  -g -O2 -march=native -Wl,-O1   -Wl,-soname -Wl,libxnee.so.0 -o .libs/libxnee.so.0.0.0
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: .libs/print.o:/var/tmp/portage/x11-misc/xnee-3.19-r1/work/xnee-3.19/libxnee/src/../include/libxnee/xnee_grab.h:67: multiple definition of `xnee_grab_modifiers_control'; .libs/xnee.o:/var/tmp/portage/x11-misc/xnee-3.19-r1/work/xnee-3.19/libxnee/src/../include/libxnee/xnee_grab.h:67: first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: .libs/print.o:/var/tmp/portage/x11-misc/xnee-3.19-r1/work/xnee-3.19/libxnee/src/../include/libxnee/xnee.h:251: multiple definition of `xnee_override_display'; .libs/xnee.o:/var/tmp/portage/x11-misc/xnee-3.19-r1/work/xnee-3.19/libxnee/src/../include/libxnee/xnee.h:251: first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1-libressl-20200125-183534

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *
java-config:
The following VMs are available for generation-2:
Available Java Virtual Machines:
  (none found)
ghc:
The Glorious Glasgow Haskell Compilation System, version 7.10.3

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Tue, 28 Jan 2020 03:26:40 +0000

emerge -qpvO x11-misc/xnee
[ebuild  N    ] x11-misc/xnee-3.19-r1  USE="-gnome -static-libs -xosd"
Comment 1 Toralf Förster gentoo-dev 2020-01-28 18:27:12 UTC
Created attachment 606230 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-28 18:27:14 UTC
Created attachment 606232 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-28 18:27:17 UTC
Created attachment 606234 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-28 18:27:21 UTC
Created attachment 606236 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-28 18:27:25 UTC
Created attachment 606238 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-28 18:27:29 UTC
Created attachment 606240 [details]
temp.tbz2
Comment 7 Toralf Förster gentoo-dev 2020-01-28 18:27:32 UTC
Created attachment 606242 [details]
x11-misc:xnee-3.19-r1:20200128-050356.log
Comment 8 Larry the Git Cow gentoo-dev 2020-01-29 11:32:13 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c10ce9aacc9ffcf1be2c9789ab03e21a59f6c5aa

commit c10ce9aacc9ffcf1be2c9789ab03e21a59f6c5aa
Author:     Jeroen Roovers <jer@gentoo.org>
AuthorDate: 2020-01-29 11:02:20 +0000
Commit:     Jeroen Roovers <jer@gentoo.org>
CommitDate: 2020-01-29 11:32:06 +0000

    x11-misc/xnee: Set CFLAGS=-fcommon
    
    Package-Manager: Portage-2.3.86, Repoman-2.3.20
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=706868
    Signed-off-by: Jeroen Roovers <jer@gentoo.org>

 x11-misc/xnee/xnee-3.19-r1.ebuild | 17 +++++++++++------
 1 file changed, 11 insertions(+), 6 deletions(-)